# Interface DeployedFunctionInConstructorError

Indicates that this is a deployed-style pointer, despite the fact that you're in a constructor

#### Category

Function types

#### Hierarchy

- DeployedFunctionInConstructorError

- Defined in codec/lib/format/errors.ts:753

#####
Index

### Properties

constructorProgramCounter
context
deployedProgramCounter
kind

## Properties

### constructorProgramCounter

constructorProgramCounter: number

- Defined in codec/lib/format/errors.ts:757

### context

context: ContractType

- Defined in codec/lib/format/errors.ts:755

### deployedProgramCounter

deployedProgramCounter: number

- Defined in codec/lib/format/errors.ts:756

### kind

kind: "DeployedFunctionInConstructorError"

- Defined in codec/lib/format/errors.ts:754

Generated using TypeDoc